Bug 239756 - fsck.hfsplus segfaults
fsck.hfsplus segfaults
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hfsplus-tools (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
bzcl34nup
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 21:22 EDT by Dennis Gilmore
Modified: 2010-12-05 02:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:16:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2007-05-10 21:22:05 EDT
Description of problem:
on x86_64 fsck.hfsplus always segfaults

[root@bratac ~]# fsck.hfsplus /dev/sdb3
** /dev/sdb3
** Checking HFS Plus volume.
Segmentation fault



Version-Release number of selected component (if applicable):
hfsplus-tools-332.14-4.fc7

How reproducible:
always

Steps to Reproduce:
1.fsck.hfsplus /dev/sdb3
2.
3.
  
Actual results:
segfault

Expected results:
fix filesystem

Additional info:
Comment 1 Dennis Gilmore 2007-05-10 21:33:01 EDT
strace of fsck.hfsplus

strace fsck.hfsplus  /dev/sdb3
execve("/sbin/fsck.hfsplus", ["fsck.hfsplus", "/dev/sdb3"], [/* 27 vars */]) = 0
brk(0)                                  = 0x62e000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaaaab000
uname({sys="Linux", node="bratac.ausil.us", ...}) = 0
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=208977, ...}) = 0
mmap(NULL, 208977, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2aaaaaaac000
close(3)                                = 0
open("/lib64/libc.so.6", O_RDONLY)      = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@\333\301"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1687672, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaaae0000
mmap(0x35bac00000, 3469528, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x35bac00000
mprotect(0x35bad46000, 2097152, PROT_NONE) = 0
mmap(0x35baf46000, 20480, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x146000) = 0x35baf46000
mmap(0x35baf4b000, 16600, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x35baf4b000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaaae1000
arch_prctl(ARCH_SET_FS, 0x2aaaaaae1260) = 0
mprotect(0x35baf46000, 16384, PROT_READ) = 0
mprotect(0x35baa19000, 4096, PROT_READ) = 0
munmap(0x2aaaaaaac000, 208977)          = 0
stat("/", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat("/dev/sdb3", {st_mode=S_IFBLK|0640, st_rdev=makedev(8, 19), ...}) = 0
stat("/dev/sdb3", {st_mode=S_IFBLK|0640, st_rdev=makedev(8, 19), ...}) = 0
stat("/dev/sdb3", {st_mode=S_IFBLK|0640, st_rdev=makedev(8, 19), ...}) = 0
open("/dev/sdb3", O_RDONLY)             = 3
brk(0)                                  = 0x62e000
brk(0x64f000)                           = 0x64f000
fstat(1, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 0), ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaaaac000
open("/dev/sdb3", O_WRONLY)             = 4
write(1, "** /dev/sdb3\n", 13** /dev/sdb3
)          = 13
mmap(NULL, 4194304, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaaae2000
fstat(3, {st_mode=S_IFBLK|0640, st_rdev=makedev(8, 19), ...}) = 0
ioctl(3, BLKGETSIZE64, 0x7fff8defbf10)  = 0
lseek(3, 0, SEEK_SET)                   = 0
read(3, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 32768) = 32768
lseek(3, 39966932992, SEEK_SET)         = 39966932992
read(3, "\377\377\377\377\377\377\377\377\377\377\377\377\377\377"..., 32768) =
12288
write(1, "** Checking HFS Plus volume.\n", 29** Checking HFS Plus volume.
) = 29
lseek(3, 1212416, SEEK_SET)             = 1212416
read(3, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 32768) = 32768
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Comment 2 Chris Weyl 2007-05-10 22:23:12 EDT
Can you reproduce this on i386?  (I'm hoping it's a 64-bit thing.)
Comment 3 Dennis Gilmore 2007-05-10 22:54:12 EDT
right now i dont have any i386 rawhide.  i fixed the filesystem on i386 FC-6 
with hfsplus-tools-332.14-4.fc6  not sure if there is some other F7 change 
causing the problem
Comment 4 Chris Weyl 2007-05-10 23:17:44 EDT
It's happening to me as well on fc6 x86_64...  The i386 version runs for me (on
an x86_64 box again) without segfaulting.

*sigh*

Given that there is a lot of Deep Magic going on -- and not an inconsiderable
number of compiler warnings about wrongly-sized types -- is there a way to just
build for i386/ppc, and have the push scripts put the i386 version over in the
x86_64 repos?  This might be the most straightforward way to resolve this, but
I'm not sure if it can be done.
Comment 5 Bug Zapper 2008-04-03 20:38:17 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Noa Resare 2008-04-17 05:35:22 EDT
This is still an issue on an updated F8 box.

A workaround for Fedora 8 non-hackers that has this problem would be:

rpm -e hfsplus-tools
rpm -ivh
http://ftp.funet.fi/pub/Linux/mirrors/fedora/linux/releases/8/Everything/i386/os/Packages/hfsplus-tools-332.14-4.fc7.i386.rpm
Comment 7 Bug Zapper 2008-05-13 22:53:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Gaspard Jankowiak 2009-05-23 16:03:09 EDT
Fsck.hfsplus still fails with F10.
Comment 9 Bug Zapper 2009-06-09 18:36:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 12:52:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Joe Bayes 2009-08-10 02:44:22 EDT
I can also still reproduce this with Fedora 10. Could somebody please reopen it?
Comment 12 Bug Zapper 2009-11-18 03:12:06 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Joe Bayes 2009-12-03 19:54:44 EST
I can reproduce this with an updated Fedora 12, 
hfsplus-tools-332.14-11.fc12.x86_64

Could somebody please update the version to 12 before the bug gets auto-closed, as I don't seem to be able to.
Comment 14 Bug Zapper 2010-11-04 08:10:46 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Joe Bayes 2010-11-04 11:49:19 EDT
Reproduced using hfsplus-tools-332.14-11.fc13 .

Could somebody please change the "version" field to 14?
Comment 16 Bug Zapper 2010-12-05 02:16:10 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.